Skip to main content
GET
/
contacts
List contacts
curl --request GET \
  --url https://app.gaintrace.com/api/v1/contacts \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "email": "[email protected]",
      "externalId": "<string>",
      "phone": "<string>",
      "role": "<string>",
      "isChampion": true,
      "linkedinUrl": "<string>",
      "avatarUrl": "<string>",
      "lastSeenAt": "2023-11-07T05:31:56Z",
      "engagementScore": 123,
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "meta": {
    "limit": 123,
    "offset": 123,
    "count": 123
  }
}

Authorizations

Authorization
string
header
required

Bearer API key. Secret server keys start with gt_live_; client-safe browser keys start with gt_pub_ (write-only, origin-pinned). Create and scope keys in Settings → API Keys.

Query Parameters

limit
integer
default:50

Max rows to return. Default 50, max 100.

Required range: 1 <= x <= 100
offset
integer
default:0

Rows to skip (pagination).

Required range: x >= 0
accountId
string<uuid>
email
string<email>

Response

A page of contacts.

data
object[]
meta
object
Last modified on July 6, 2026